# Generated by Django 4.2.7 on 2023-11-16 22:37

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50, verbose_name='Имя')),
                ('last_name', models.CharField(max_length=50, verbose_name='Фамилия')),
                ('father_name', models.CharField(blank=True, default='', max_length=50, verbose_name='Отчество (при наличии)')),
                ('date_of_birth', models.DateField(verbose_name='Дата рождения')),
                ('gender', models.CharField(choices=[('M', 'Мужчина'), ('F', 'Женщина')], max_length=1, verbose_name='Пол')),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('phone_number', models.CharField(blank=True, max_length=15, null=True, validators=[django.core.validators.RegexValidator(message='Номер телефона должен быть в формате +71234567890.', regex='^\\+?7?\\d{10,15}$')], verbose_name='Номер телефона')),
                ('address', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Questions',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Почтв, на которую прийдет ответ на вопрос')),
                ('vacancy_question', models.TextField(default=None, null=True, verbose_name='Вопрос по вакансии')),
                ('agency_question', models.TextField(default=None, null=True, verbose_name='Вопрос по деятельности агенства')),
            ],
        ),
        migrations.CreateModel(
            name='Vacancy',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(choices=[('creator', 'Креатор'), ('editor', 'Монтажер'), ('operator', 'Оператор')], max_length=10, verbose_name='Вакансия')),
                ('years_of_experience', models.IntegerField(verbose_name='Стаж работы (в годах)')),
                ('proficiency', models.TextField(verbose_name='Опишите три навыка, которые по вашему мнению важны для работы')),
                ('problem_solving', models.TextField(verbose_name='Опишите последний ваш конфликт и его решение')),
                ('skills', models.TextField(verbose_name='Опишите приложения, которые вы используете для работы')),
                ('availability', models.CharField(max_length=255, verbose_name='Доступность')),
                ('motivation', models.TextField(verbose_name='Опишите, что вас мотивирует')),
                ('full_time', models.BooleanField(verbose_name='Готовы ли вы работать 40 ч в неделю?')),
                ('cv_link', models.URLField(blank=True, null=True, verbose_name='Ссылка на резюме')),
            ],
        ),
    ]
